Subject: Re: bug#76684: 31.0.50; c-ts-mode no longer provides fontification

From: Yuan Fu <[email-masked]>
Date: Tue, 4 Mar 2025 15:26:13 -0800

> On Mar 2, 2025, at 5:51 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> From: [email-masked]
> --text follows this line--
> To reproduce:
> 
>  emacs -Q
>  C-x C-f src/dispnew.c RET
>  M-x c-ts-mode RET
> 
> and watch in disbelief how the fontifications are gone...
> 
> This is a (recent, I think) regression on master: it still works okay
> on the release branch.
> 
> Can this be fixed ASAP, please?

Oops, I think it’s due to my recent change to local parsers. I for some reason have c-ts-mode-emacs-sources-support turned off in my local config and missed the regression.

It should be fixed now.

Yuan